Subject: Re: Can you add the staging tree to -next?

From: Greg KH <[email-masked]>
Date: Thu, 13 Nov 2008 16:22:03 -0800

On Thu, Nov 13, 2008 at 07:13:40PM -0500, J.R. Mauro wrote:
> On Thu, Nov 13, 2008 at 7:01 PM, Greg KH <[email-masked]> wrote:
> > On Fri, Nov 14, 2008 at 10:44:21AM +1100, Stephen Rothwell wrote:
> >> Hi Greg,
> >>
> >> On Wed, 12 Nov 2008 15:56:00 -0800 Greg KH <[email-masked]> wrote:
> >> >
> >> > I'm starting to get people sending me patches against -next for the
> >> > drivers/staging/ tree that don't apply as -next does not include my
> >> > quilt tree of staging patches.
> >> >
> >> > Can you please pick it up?  You can put it at the end of your series,
> >> > and the 'make allmodconfig' option disables building anything in the
> >> > drivers/staging/ subdirectory, so it should not have any build or merge
> >> > conflicts with anything.
> >> >
> >> > It can be found at:
> >> >     http://kernel.org/pub/linux/kernel/people/gregkh/gregkh-2.6/gregkh-05-staging/
> >> > and is a quilt tree.
> >> >
> >> > It will follow all the same rules as other trees, with patches only for
> >> > the next merge window (2.6.29 right now) in it.
> >>
> >> OK, I have added it starting today.
> >
> > Thank you very much, I appreciate it.
> 
> Greg, will this suffice for having a git repo for staging, or are you
> still planning on a discrete staging repo?

For now, this is probably going to be sufficient for me, how about you?

thanks,

greg k-h